package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSeriesEditRequest struct {
	/*
	   商品系列修改请求     */
	Series *domain.AlibabaWdkSeriesEditSkuSeriesEditRequest `json:"series" required:"true" `
}

func (s *AlibabaWdkSeriesEditRequest) SetSeries(v domain.AlibabaWdkSeriesEditSkuSeriesEditRequest) *AlibabaWdkSeriesEditRequest {
	s.Series = &v
	return s
}

func (req *AlibabaWdkSeriesEditRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Series != nil {
		paramMap["series"] = util.ConvertStruct(*req.Series)
	}
	return paramMap
}

func (req *AlibabaWdkSeriesEditRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
